<template>
  <v-container>
    <v-row class="mt-3 mb-6" justify="center">
      <v-img src="Titol.png" max-height="250" max-width="320" content-class="center"></v-img>
    </v-row>

    <!-- <v-row justify="center">
      <v-img src="logojjoo.png" max-height="200" max-width="200" content-class="center"></v-img> 
    </v-row> -->


  <v-card class="mx-2">
    <v-card-title class="d-flex justify-space-between">
        <h4><v-icon class="mr-3">mdi-account-key</v-icon>Introduir dades</h4>
    </v-card-title>
    <v-card-text>
      <v-form @submit.prevent="onsubmit">
        <v-text-field
          dense
          outlined
          label="Nom de l'equip"
          v-model="userInfo.identifier"
        ></v-text-field>
        <v-text-field
          dense
          outlined
          label="Contrasenya"
          v-model="userInfo.password"
          :type="show ? 'text':'password'"
          :append-icon="show ? 'mdi-eye':'mdi-eye-off'"
          @click:append="show = !show"
        ></v-text-field>
        <div class="d-flex justify-space-between">
          <v-btn color="primary black--text" type="submit" block rounded :disabled=userInfoValidate>
            Començar La prèvia<v-icon class="ml-3">mdi-account-arrow-up</v-icon>
          </v-btn>
        </div>
      </v-form>
    </v-card-text>
  </v-card>

  <p class="mt-5 mx-3 text-justify font-weight-medium">
    Feu ús d'aquesta App per tenir un control de les proves completades i la puntuació aconseguida.
    Recordeu enviar les fotos i vídeos al grup de WhatsApp per tal de validar les proves.
  </p>

  </v-container>
</template>


<script>
export default {
 middleware:"initData", 

  data() {
      return {
        disabled:true,
        show: false,
        userInfo: {
          identifier: "",
          password: "",
        },
      };
   },
 methods: {
    logout(){
      this.$auth.logout()
    },
    close() {
      this.$emit("close", false);
    },
    async onsubmit() {
      await this.$auth
        .loginWith("local", { data: this.userInfo })
        .then(() => {
          console.log(this.$auth);
          this.$emit("close", false);
          this.userInfo.identifier = ""
          this.userInfo.password = ""
          const msg = "Benvinguts "+ this.$auth.user.teamname
          this.$store.dispatch("snackbars/setSnack", {text:msg, color:'success'})
        })
        .catch((e) => {
            this.$store.dispatch("snackbars/setSnack", {text:'Nom i/o contrasenya incorrectes', color:'error'})
        });
        // window.onbeforeunload = function (event) {
        //     logout()
        // };
    },
  },
};
</script>


<style scoped>

.container {
  background-image: url("https://i.ibb.co/5MTKvcz/Fons-Sense-Muntanya.png");
  background-size: cover;
  background-position: center;
  height: 100%;
}

p {
  font-size: 18px;
  /* font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif */
}


  
</style>

